# Class Response<T>

java.lang.Object
com.codename1.io.rest.Response<T>

public class Response<T> extends Object
The http Response class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getResponseCode()`
  The http response code
  `T`
  `getResponseData()`
  The http response data
  `String`
  `getResponseErrorMessage()`
  Returns the error message that accompanies the response

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Method Details

  - ### getResponseData

    public T getResponseData()

    The http response data

    ###### Returns

    the data

  - ### getResponseCode

    public int getResponseCode()

    The http response code

    ###### Returns

    the code

  - ### getResponseErrorMessage

    public String getResponseErrorMessage()

    Returns the error message that accompanies the response

    ###### Returns

    the response